/* menu 对话的样式 */
.menu-div {
    width: 32px;
    height: 32px;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 4px;
    /* background-color: #ffffff; */
    font-size: 16px;
    color: #5e6671;
}

.menu-div:hover {
    cursor: pointer;
    background-color: #e6eaf5;
    font-size: 16px;
    color: #333333;
}


/* newChat页面 对话的样式 */
.newChat_avator {
    width: 32px;
    height: 32px;
    background-color: #e6eaf5;
    font-size: 14px;
    color: #5e6671;
    border-radius: 50%;
    text-align: center;
    line-height: 32px;
}

.newChat_bot {
    display: flex;
    flex-wrap: nowrap;
    justify-content: flex-start;
    width: 100%;
    margin-top: 10px;
    gap: 6px;
}

.newChat_usr {
    display: flex;
    flex-wrap: nowrap;
    justify-content: flex-end;
    width: 100%;
    margin-top: 10px;
    gap: 6px;
}


.newChat_text {
    padding: 6px 10px 6px 10px;
    border-radius: 4px;
    text-align: left;
    word-wrap: break-word;
    /* 确保长单词或URL会在必要时换行 */
}

.newChat_text_bot {
    background-color: #ffffff;
    max-width: 60%;
}

.newChat_text_usr {
    background-color: #98ea70;
    max-width: 50%;
}



/* chistoryChat页面 对话的样式 */
.historyChat_item {
    display: flex;
    flex-direction: column;
    flex-wrap: wrap;
    justify-content: flex-start;
    align-items: center;
    margin-bottom: 10px;
    width: 100%;
    height: 120px;
    gap: 6px;
    background-color: #ffffff;
    border-radius: 6px;
    font-size: 12px;
    color: #5e6671;
}


/*  acebergAis_item */
.acebergAis_item {
    width: calc(50% - 10px);
    height: 100px;
    background-color: #ffffff;
    border-radius: 8px;
    border: 1px solid #e0e0e0;
}
.acebergAis_item:hover{
    cursor: pointer;
    box-shadow: 0px 4px 8px rgba(0, 0, 0, 0.06);
    transition: all 0.2s ease-in-out;
}


/* todown */
.todown-items {
    font-weight: bold;
    border-radius: 50%;
    border: 4px solid #ffffff00;
    color: #333;
    background-color: rgba(0, 0, 0, 0.08);
}

.todown-items:hover {
    cursor: pointer;
    box-shadow: 0px 4px 8px rgba(0, 0, 0, 0.1);
    transition: all 0.2s ease-in-out;
    background-color: #eff4ff;
    border: 4px solid #1e63eb;
}



/* api */
.api-card:hover {
    cursor: pointer;
    box-shadow: 0px 4px 8px rgba(0, 0, 0, 0.06);
    transition: all 0.2s ease-in-out;
}